// $Id: jskitcomments.js,v 1.3 2009/07/25 16:03:52 rehos Exp $

/**
 * JS-Kit Comment count filter
 * @param count
 * @return The text for number of comments with correct plural format
 */
function JSKitCommentsCountFilter(count) {
  return Drupal.formatPlural(count, "1 Comment", "@count Comments");
}

/**
 * Drupal JS-Kit behaviors.
 */
Drupal.behaviors.jskitcomments = function(context) {
  if (Drupal.settings.jskitcomments) {
    // This prevents JS-Kit from using document.write().
    window.$JCCAI = true;

    // Process through all desired JS-Kit APIs.
    jQuery.each(Drupal.settings.jskitcomments, function(index, value) {
      // Make the AJAX call for the JS-Kit API using the browser cache.
	  var ajaxOptions = {
        type: 'GET',
        url: window.location.protocol + '//js-kit.com/' + value + '.js',
        dataType: 'script',
        cache: true
      }
      if (value == 'comments' && Drupal.settings.jskitcommentscss) {
        ajaxOptions.success = function(data, status) { 
            JSKitAPI.subscribe('comments-data-loaded', function() {
              $('head').append('<link rel="stylesheet" type="text/css" href="' + Drupal.settings.jskitcommentscss + '"/>');
          });
        }
      }
      jQuery.ajax(ajaxOptions);
    });

	// Make sure it doesn't process the elements twice.
    Drupal.settings.jskitcomments = false;
  }
};
